
@media screen and (max-width: 992px) {

    .container {
        max-width: 768px;
    }

    .menu-list {
        padding: 16px 80px;
    }

    .recent-posts {
        padding: 60px 0;
    }

    .all-posts {
        display: block;
    }

    .post-content {
        width: 100%;
        justify-content: flex-start;

        &:last-child {
            margin-bottom: 0;
        }
    }

    .instagram-photo {
        img {
            width: 33%;

            &:last-child {
                display: none;
            }
        }
    }
}

@media screen and (max-width: 768px) {
    .menu-list {
        display: none;
    }

    .header {
        position: relative;

        nav {
            height: 37px;
            margin: 23px 0;
        }
    }

    .burger-menu {
        display: flex;
        justify-content: flex-end;
    }

    .menu-btn {
        display: flex;
        align-items: center;
        width: 44px;
        height: 36px;
        cursor: pointer;
        background-color: #000000;
        padding: 13px;

        span,
        span::before,
        span::after {
            position: absolute;
            width: 17px;
            height: 2px;
            background-color: #ffffff;
        }
        
        span::before {
            content: '';
            top: -4px;
        }

        span::after {
            content: '';
            top: 4px;
        }
    }

    .menubox {
        display: block;
        position: absolute;
        visibility: hidden;
        top: 24px;
        right: 20px;
        width: 182px;
        z-index: 2;
        margin: 0;
        background-color: #F5F5F5;

        li {
            padding: 4px 12px;

            a {
                @include menu-items;
            }
            
            &:first-child {
                a {
                    color: $home-color;
                }
            }

            &:hover {
                background-color: #E5E5E5;
            }
        }
    }

    #menu-toggle {
        opacity: 0;

        &:checked ~ .menu-btn {
            span {
                transform: rotate(45deg);
            }

            span::before {
                top: 0;
                transform: rotate(0);
            }

            span::after {
                top: 0;
                transform: rotate(90deg);
            }
        }

        &:checked ~ .menubox {
            visibility: visible;
            top: 36px;
            right: 0px;
        }
    }

    .section-title {
        font-size: 14px;
        margin-bottom: 12px;
        
        p:last-child {
            display: none;
        }
    }
}

@media screen and (max-width: 480px) {

    .container {
        max-width: 320px;
    }

    .recent-posts {
        padding: 42px 0;
    }

    .post-content {
        display: block;

        img {
            margin-bottom: 10px;
        }

        p:last-child {
            display: none;
        }

        &:nth-child(3) {
            margin-bottom: 0;
        }

        &:last-child {
            display: none;
        }
    }

    .instagram {
        background-color: rgba(0,0,0,0);
        padding: 38px 0 42px 0;
    }

    .instagram-photo {
        img {
            display: none;

            &:first-child {
                display: block;
                width: 100%;
            }
        }
    }

    .footer-content {
        max-width: 300px;
        font-size: 12px;
        line-height: 20px;

        .section-title {
            font-size: 14px;
            margin-bottom: 8px;
        }

        .footer-content-text {
            padding: 0 10px;

            span {
                display: none;
            }
        }
        p:last-child {
            max-width: 235px;
            margin: 0 auto;
        }
    }
}